#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, m;
    cin >> n >> m;
    int d[n], u[n];
    for(int i = 0; i < n; i++)
    {
        cin >> d[i] >> u[i];
    }
    int l[m],r[m],x[m];
    for(int i = 0; i < m; i++)
    {
        cin >> l[i] >> r[i] >> x[i];
    }
    int resenja[m];
    for(int i = 0; i < m; i++)
    {
    	resenja[i]=0;
	} 
	for(int i = 0; i < m; i++)
	{
		for(int j = l[i]-1; j <= r[i]-1; j++)
		{
			if(d[j]<=x[i]&&u[j]>=x[i])
			{
				resenja[i]++;
			}
		}
	}
	for(int i = 0; i < m; i++)
	{
		cout << resenja[i] << endl;
	}
}